Package Details: vicious-git 2.3.3.r0.gea0c5a4-1

Git Clone URL: https://aur.archlinux.org/vicious-git.git (read-only, click to copy)
Package Base: vicious-git
Description: Widgets for the Awesome window manager
Upstream URL: https://github.com/vicious-widgets/vicious
Licenses: GPL2
Conflicts: vicious
Provides: vicious
Submitter: None
Maintainer: caleb
Last Packager: caleb
Votes: 134
Popularity: 0.001020
First Submitted: 2009-08-27 19:45
Last Updated: 2019-08-26 05:34

Dependencies (6)

Required by (3)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

anrxc commented on 2012-12-15 17:05

Package 'awesome' in community is not lua 5.2 compatible so it may not have 5.2 in the module search path. I will have to test that, and just maybe keep using 5.1 until 3.5 is released.

krionux commented on 2012-12-15 10:20

Hello,

As Javafant said, please update luaver in order to build against lua5.2

Regards,

cocreature commented on 2012-12-13 15:31

_luaver needs to be changed to 5.2.

anrxc commented on 2012-10-17 23:54

Vicious repository clone corrupted after upgrade to last cgit-x86_64.
Pending bug report with the cgit project.

I forgot to mention that there is nothing git after last release, so
package vicious equals package vicious-git right now.

If Cgit is not fixed by the weekend a Git daemon will be introduced to
handle cloning.

anrxc commented on 2012-10-10 23:39

Vicious repository clone corrupted after upgrade to last cgit-x86_64. Pending bug report with the cgit project.

anrxc commented on 2012-07-09 23:19

Commit b11bb78e04 was a little different because the protocol was telnet (or so I thought). In any case
without a network connection, because of "--connect-timeout 1 -fsm 3", curl wasn't ever supposed to hang
more than 1 second. I'll look into that.

anrxc commented on 2012-06-25 14:41

Hello we don't have a clock widget type:
http://git.sysphere.org/vicious/tree/widgets

> vicious = require("vicious")

Yes that's the way you load now, with lua5.1 and lua5.2.

anrxc commented on 2012-06-25 14:39

Hello we don't have a clock widget type:
http://git.sysphere.org/vicious/tree/widgets

gbr commented on 2012-06-25 07:55

@anrxc Okay I had to change the line below in my rc.lua because after the update, awesome wm wasn't loading anymore:
>require("vicious")
to:
>vicious = require("vicious")
then to load/register a widget:
>vicious.register(clock, blah, blah...
Is this the "correct way"? Thank you.

anrxc commented on 2012-06-25 00:08

Vicious is now treated as a regular Lua library, as it can be used stand-alone or to feed widgets of other window managers:

$ lua
> widgets = require("vicious.widgets")
> print(widgets.volume(nil, "Master")[1])
100